Index: trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listdims.pro
===================================================================
--- trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listdims.pro	(revision 107)
+++ trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listdims.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION ncdf_listdims,ncid
+;
+  compile_opt idl2, strictarrsubs
+;
 
 n=(ncdf_inquire(ncid)).ndims
Index: trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listvars.pro
===================================================================
--- trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listvars.pro	(revision 107)
+++ trunk/SRC/ReadWrite/idl-NetCDF/ncdf_listvars.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION ncdf_listvars,ncid
+;
+  compile_opt idl2, strictarrsubs
+;
 
 n=(ncdf_inquire(ncid)).nvars
Index: trunk/SRC/ReadWrite/idl-NetCDF/ncdf_read.pro
===================================================================
--- trunk/SRC/ReadWrite/idl-NetCDF/ncdf_read.pro	(revision 107)
+++ trunk/SRC/ReadWrite/idl-NetCDF/ncdf_read.pro	(revision 114)
@@ -45,4 +45,7 @@
 ;
 ;----------------------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 
 
Index: trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct.pro
===================================================================
--- trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct.pro	(revision 107)
+++ trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct.pro	(revision 114)
@@ -15,4 +15,7 @@
 ;
 ; Alan Iwi 27/6/02
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 
Index: trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct_free.pro
===================================================================
--- trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct_free.pro	(revision 107)
+++ trunk/SRC/ReadWrite/idl-NetCDF/ncdf_struct_free.pro	(revision 114)
@@ -1,3 +1,6 @@
 PRO ncdf_struct_free,s
+;
+  compile_opt idl2, strictarrsubs
+;
 
 ;
Index: trunk/SRC/ReadWrite/ncdf_timeget.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 107)
+++ trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 114)
@@ -34,4 +34,7 @@
 ;------------------------------------------------------------
 FUNCTION ncdf_timeget, cdfid, timeid, YYYYMMDD = yyyymmdd, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 
    insidetime=ncdf_varinq(cdfid,timeid)
Index: trunk/SRC/ReadWrite/read_grads.pro
===================================================================
--- trunk/SRC/ReadWrite/read_grads.pro	(revision 107)
+++ trunk/SRC/ReadWrite/read_grads.pro	(revision 114)
@@ -64,4 +64,7 @@
 FUNCTION read_grads, var, date1, date2, FILENAME = filename, BOX=box, TIMESTEP = timestep, EVERYTHING = everything, NOSTRUCT = nostruct, _EXTRA = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: trunk/SRC/ReadWrite/read_oasis.pro
===================================================================
--- trunk/SRC/ReadWrite/read_oasis.pro	(revision 107)
+++ trunk/SRC/ReadWrite/read_oasis.pro	(revision 114)
@@ -36,4 +36,7 @@
 
 FUNCTION read_oasis, filename, varname, jpi, jpj, I2 = I2, I4 = i4, I8 = i8, R4 = r4
+;
+  compile_opt idl2, strictarrsubs
+;
 
    openr, unit, filename, /f77_unformatted, /get_lun, /swap_if_little_endian $
Index: trunk/SRC/ReadWrite/readbat.pro
===================================================================
--- trunk/SRC/ReadWrite/readbat.pro	(revision 107)
+++ trunk/SRC/ReadWrite/readbat.pro	(revision 114)
@@ -18,4 +18,7 @@
 ;-
 FUNCTION readbat, filename, ZERO = zero
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ;;
@@ -60,5 +63,5 @@
       FOR jj =  ijm-1, 0, -1  DO BEGIN
          readf, iunit, FORMAT = iformat, ij, zbati
-         zbat(il1:il2, jj) = zbati
+         zbat[il1:il2, jj] = zbati
       ENDFOR
       il1 = il1 + ifreq
@@ -75,5 +78,5 @@
    FOR jj =  ijm-1, 0, -1  DO BEGIN
       readf, iunit, FORMAT = iformat, ij, zbati2
-      zbat(il1:il2, jj) = zbati2
+      zbat[il1:il2, jj] = zbati2
    ENDFOR
    close, iunit
Index: trunk/SRC/ReadWrite/readoldopadistcoast.pro
===================================================================
--- trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 107)
+++ trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 114)
@@ -23,4 +23,7 @@
 
 FUNCTION read3fromopa, unit, params, num
+;
+  compile_opt idl2, strictarrsubs
+;
    offset=params.reclen*params.jpk*(num-1L)
    a=assoc(unit,dblarr(params.jpiglo,params.jpjglo,params.jpk,/nozero),offset)
@@ -42,4 +45,7 @@
 ;-
 FUNCTION readoldopadistcoast, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
    iname_file = findfile(filename)
Index: trunk/SRC/ReadWrite/readoldoparestart.pro
===================================================================
--- trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 107)
+++ trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 114)
@@ -17,4 +17,7 @@
 
 FUNCTION read2fromopa, unit, params, num
+;
+  compile_opt idl2, strictarrsubs
+;
    offset=params.reclen*params.jpk*(num-1L)
    a=assoc(unit,dblarr(params.jpiglo,params.jpjglo,/nozero),offset) 
@@ -26,4 +29,7 @@
 ;-
 FUNCTION read3fromopa, unit, params, num
+;
+  compile_opt idl2, strictarrsubs
+;
    offset=params.reclen*params.jpk*(num-1L)
    a=assoc(unit,dblarr(params.jpiglo,params.jpjglo,params.jpk,/nozero),offset)
@@ -74,4 +80,7 @@
 
 PRO readoldoparestart, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec, ub = ub, vb = vb, tb = tb, sb = sb, rotb = rotb, hdivb = hdivb, un = un, vn = vn, tn = tn, sn = sn, rotn = rotn, hdivn = hdivn, gcx = gcx, gcxb = gcxb, etab = etab, etan = etan, bsfb = bsfb, bsfn = bsfn, bsfd = bsfd, en = en
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
    iname_file = findfile(filename)
Index: trunk/SRC/ReadWrite/scanctl.pro
===================================================================
--- trunk/SRC/ReadWrite/scanctl.pro	(revision 107)
+++ trunk/SRC/ReadWrite/scanctl.pro	(revision 114)
@@ -7,4 +7,7 @@
 ;-
 PRO scanctl, filename, filesname, jpt1file, varsname, varslev, swapbytes, bigendian, littleendian, f77sequential, fileheader, theader, xyheader, VARFMT = varfmt, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 
Index: trunk/SRC/ReadWrite/scanoasis.pro
===================================================================
--- trunk/SRC/ReadWrite/scanoasis.pro	(revision 107)
+++ trunk/SRC/ReadWrite/scanoasis.pro	(revision 114)
@@ -22,4 +22,7 @@
 
 PRO scanoasis, filename
+;
+  compile_opt idl2, strictarrsubs
+;
 
    openr, unit,filename , /F77_UNFORMATTED, /GET_LUN, /SWAP_IF_LITTLE_ENDIAN $
Index: trunk/SRC/ReadWrite/write_oasis.pro
===================================================================
--- trunk/SRC/ReadWrite/write_oasis.pro	(revision 107)
+++ trunk/SRC/ReadWrite/write_oasis.pro	(revision 114)
@@ -32,4 +32,7 @@
 
 PRO write_oasis, filename, varname, z2d, I2 = i2, I4 = i4, I8 = i8, R4 = r4, APPEND = append
+;
+  compile_opt idl2, strictarrsubs
+;
    openw, unit, filename , /F77_UNFORMATTED, /GET_LUN, /SWAP_IF_LITTLE_ENDIAN $
     , error=err, APPEND = append
Index: trunk/SRC/ReadWrite/writebat.pro
===================================================================
--- trunk/SRC/ReadWrite/writebat.pro	(revision 107)
+++ trunk/SRC/ReadWrite/writebat.pro	(revision 114)
@@ -16,4 +16,7 @@
 ;-
 PRO writebat, zbat, filename
+;
+  compile_opt idl2, strictarrsubs
+;
 ; basic checks
   IF n_params() NE 2 THEN BEGIN
@@ -61,5 +64,5 @@
     iformat = string('(', il3+2, 'i3)')
     FOR jj =  jpj2-1, 0, -1  DO BEGIN
-      zbati(0:il3) = zbat(il1:il2, jj)
+      zbati[0:il3] = zbat[il1:il2, jj]
       printf, iunit, FORMAT = iformat, jj+1, zbati
     END
@@ -77,6 +80,6 @@
   iformat = string('(', il3+2, 'i3)')
   FOR jj =  jpj2-1, 0, -1  DO BEGIN
-    zbati2(0:irest-1) = 0
-    zbati2(0:il3) = zbat(il1:il2, jj)
+    zbati2[0:irest-1] = 0
+    zbati2[0:il3] = zbat[il1:il2, jj]
     printf, iunit, FORMAT = iformat, jj+1, zbati2
   END
